<!--
/*

Script : breadcrumb.js
Usage : <script type="text/javascript" language="JavaScript" src="/functions/breadcrumb.js"></script>

*/

/* 
splt()
IE3 support
*/

function splt( s, c ) {

var splits = new Array();
var v = 0, prev = 0, n = 0;
while( v < s.length ) {
  if( s.charAt(v) != c )
   v++;
  else {
   if( v != prev )
    splits[n] = s.substring( prev, v );
   else
    splits[n] = "";
   n++;
   v++;
   prev = v;
  }
}

if( v != prev ) 
  splits[n++] = s.substring( prev, v );
if( s.charAt(s.length-1) == c )
  splits[n++] = "";
return splits;
}

//
//  Set up data
//

/* This var determines which elements of the path are processed.
   If root path is (eg) http://interstage.fujitsu.com, then startat 
   should be set to 2.
   If root path is (eg) http://interstage.fujitsu.com/en, then startat
   should be set to 3
*/


// Set startat value on next line:
var startat = 3;

/* If gray bar will not be used to display subtitles
   set useSubhead to false */

var useSubhead = true;

/*
breadcrumb delimeter
*/
var delimiter = " &gt; ";
var company = 13;			// number of chars in (eg) " - Interstage"
var arrBreadcrumbs = new Array();	// stores "plain English" path components
var iBreadcrumbs = 0;

/*
Array of contexts
*/

var arrContextData = new Array();
 

/*
Array of substitute names for directories.
Where a match is made the substitute name will be displayed.
It can also substitute domain names.
This array can be added to
*/

var arrDirectories = new Array();

var arrDirectories = new Array();

arrDirectories[rootDir] = "Home"; // var rootDir is set from style.js
arrDirectories["01"] = "To the Forefront of the Internet Business - Interstage V4";
arrDirectories["02"] = '"Interstage" makes "Net Debit", the new e-Business Settlement System, Possible';
arrDirectories["03"] = "Interstage V4 Supporting World's Largest B2B e-commerce Network";
arrDirectories["04"] = "Promoting Global Business Collaboration, Interstage V5 - the product for the Web services era";
arrDirectories["05"] = 'A service to facilitate payment between individuals, called "@pay", has been developed using Interstage Application Server';
arrDirectories["06"] = 'New Web-based ordering system constructed using Interstage, functioning as a portal for providing new services';
arrDirectories["07"] = 'EAI & DWH system built for speedy management, seamless information integration achieved with Interstage';
arrDirectories["brochure"] = "Brochures";
arrDirectories["casestudy"] = "Case Studies";
arrDirectories["contact"] = "Contact";
arrDirectories["datasheets"] = "Datasheets"
arrDirectories["event"] = "Events";
arrDirectories["faq"] = "FAQ";
arrDirectories["fstory"] = "Feature Story";
arrDirectories["term"] = "Glossary";
arrDirectories["news"] = "News";
arrDirectories["partner"] = "Partner";
arrDirectories["presentations"] = "Presentations";
arrDirectories["press"] = "Press Releases";
arrDirectories["products"] = "Products";
arrDirectories["reports"] = "Reports";
arrDirectories["sitemap"] = "Site Map";
arrDirectories["training"] = "Training";
arrDirectories["v4"] = "Version 4";
arrDirectories["wnew"] = "Update History";
arrDirectories["whitepaper"] = "White Papers";


//
// Do not modify below this point 
//


/*
contextObject creator 
   this.matchpath = the path that will be matched
   this.addpath = the extra bit of the path that you want added to the front of the path to create the desired navigation trail
   this.startat = integer which controls which directories are skipped from the front of the PATH
   eg if startat has a value 3 it will include all directories
   if it is 2 it will include the domain
*/

function contextObject(matchpath,addpath, startat) { 
   this.matchpath = matchpath;
   this.addpath = addpath;
   this.startat = startat;
} 

var path="";

if(!href){
var href = document.location.href;
}
	
//var arrPathBits = href.split("/"); 
var arrPathBits = splt(href, "/"); 			// stores path components
var arrSize = arrPathBits.length - 1 - startat;		// size of arrBreadcrumbs (excluding root folder(s)
var filename = "index.html";				// test for filename					


/* store breadcrumb components */
for (var iBreadcrumbs = 0; iBreadcrumbs < arrSize; iBreadcrumbs++) {
arrBreadcrumbs[iBreadcrumbs] = arrDirectories[arrPathBits[iBreadcrumbs + startat]];
}


filename = arrPathBits[arrPathBits.length -1];	//stores file name

/*
Loop throught the array of context objects until a directory or
group of directories is matched
*/

for (var icontext=0;icontext<(arrContextData.length);icontext++) {

/*
 If a match is found then add the addpath value of the object to the path string
and set the startat value to the startat value of the object. Then stop the loop.
*/
 if (document.location.pathname.indexOf(arrContextData[icontext].matchpath) != -1){
  path +=arrContextData[icontext].addpath;
  startat=arrContextData[icontext].startat;
  break;
 }
}


/*
Loop through location string
*/
var lastdirectory=false;
var isindex;

 /* Use substring to strip out named anchors (eg index.html#ICT Convergence) */
isindex = arrPathBits[arrPathBits.length-1].substring(0,9) == "index.htm" || arrPathBits[arrPathBits.length-1].substring(0,10) == "index.html" || arrPathBits[arrPathBits.length-1] == "";

 /*
 Test if last directory - if it is then there is no link
 */

for (var idirectories=startat;idirectories<(arrPathBits.length-1);idirectories++) {
  if (idirectories==arrPathBits.length-2){
  lastdirectory=true;
}

path += (lastdirectory && isindex) ? "" : "<A HREF=\""+href.substring(0,href.indexOf(arrPathBits[idirectories])+arrPathBits[idirectories].length)+"\">"
var strName = arrPathBits[idirectories];
path+= arrDirectories[strName] ? arrDirectories[strName] : strName

 if(lastdirectory) {
  if(!isindex) path += "</A>";
if(arrDirectories[strName]!='"Interstage" makes "Net Debit", the new e-Business Settlement System, Possible')
    path += "</A>"; 
  }
 else 
  path += "</A>" + delimiter;
}

var fpath=path

// If filename is not index, need to display page title in menu trail
if (filename != "" && filename.substring(0,10) != "index.html") {
path = path + delimiter + document.title.substring(0, document.title.length-company);
}

/* Special case to add V5 to the V5 product path */
if(path_split.length==4 && arrPathBits[4]=="products"){
v5pathSplit=path.split(";");
   if (filename.substring(0,10) == "index.html") {
      path=v5pathSplit[0] +'<a href="index.html"> Products</a> &gt; Version 5'
   }else if (filename.substring(0,10)<1) {
      path=v5pathSplit[0] +' Products'
   }else{
      path=v5pathSplit[0] +'<a href="index.html"> Products</a> &gt; <a href="index.html">Version 5</a> &gt; ' +v5pathSplit[2]
   }
}
if(arrPathBits[5]=='02'){path=fpath}
if(arrPathBits[5]=='03'){path=fpath}
if(arrPathBits[5]=='04'){path=fpath}
if(arrPathBits[5]=='05'){path=fpath}
if(arrPathBits[5]=='06'){path=fpath}
if(arrPathBits[5]=='07'){path=fpath}


/* Apply Subtitle to the grey line */

docTitle=document.title
var docTitle_split=docTitle.split(" -");
var sTitle=docTitle_split[0];
subtitle='<b><font face="Arial, Helvetica, sans-serif" size="2">'+ sTitle + '</font></b>'

/* Apply style to breadcrumb string */
path = '<font face="Arial, Helvetica, sans-serif" size="1">' + path + '</font>';
document.write('<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr bgcolor="#CCCCCC"><td align="left" valign="top"><table width="620" cellspacing="0" cellpadding="3"><tr><td align="left" valign="top"><img height="14" src="' +host +'img/space.gif" width="5">'+ path +'</td></tr></table></td></tr><tr><td bgcolor="#000000"><img src="../img/space.gif" width="620" height="1"></td></tr></table>');



//End -->

